Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network246.239.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
246.239.0.0
Broadcast address
246.239.127.255
First usable
246.239.0.1
Last usable
246.239.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F6EF0000 · Integer 4142858240 to 4142891007
Reverse DNS zones
0.239.246.in-addr.arpa
1.239.246.in-addr.arpa
2.239.246.in-addr.arpa
3.239.246.in-addr.arpa
4.239.246.in-addr.arpa
5.239.246.in-addr.arpa
6.239.246.in-addr.arpa
7.239.246.in-addr.arpa
8.239.246.in-addr.arpa
9.239.246.in-addr.arpa
10.239.246.in-addr.arpa
11.239.246.in-addr.arpa
12.239.246.in-addr.arpa
13.239.246.in-addr.arpa
14.239.246.in-addr.arpa
15.239.246.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110110.11101111.00000000.00000000246.239.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11110110.11101111.00000000.00000000246.239.0.0
Broadcast11110110.11101111.01111111.11111111246.239.127.255
Split into smaller subnets/24

246.239.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1246.239.0.0/24246.239.0.1 to 246.239.0.254246.239.0.255254
2246.239.1.0/24246.239.1.1 to 246.239.1.254246.239.1.255254
3246.239.2.0/24246.239.2.1 to 246.239.2.254246.239.2.255254
4246.239.3.0/24246.239.3.1 to 246.239.3.254246.239.3.255254
5246.239.4.0/24246.239.4.1 to 246.239.4.254246.239.4.255254
6246.239.5.0/24246.239.5.1 to 246.239.5.254246.239.5.255254
7246.239.6.0/24246.239.6.1 to 246.239.6.254246.239.6.255254
8246.239.7.0/24246.239.7.1 to 246.239.7.254246.239.7.255254
9246.239.8.0/24246.239.8.1 to 246.239.8.254246.239.8.255254
10246.239.9.0/24246.239.9.1 to 246.239.9.254246.239.9.255254
11246.239.10.0/24246.239.10.1 to 246.239.10.254246.239.10.255254
12246.239.11.0/24246.239.11.1 to 246.239.11.254246.239.11.255254
13246.239.12.0/24246.239.12.1 to 246.239.12.254246.239.12.255254
14246.239.13.0/24246.239.13.1 to 246.239.13.254246.239.13.255254
15246.239.14.0/24246.239.14.1 to 246.239.14.254246.239.14.255254
16246.239.15.0/24246.239.15.1 to 246.239.15.254246.239.15.255254
17246.239.16.0/24246.239.16.1 to 246.239.16.254246.239.16.255254
18246.239.17.0/24246.239.17.1 to 246.239.17.254246.239.17.255254
19246.239.18.0/24246.239.18.1 to 246.239.18.254246.239.18.255254
20246.239.19.0/24246.239.19.1 to 246.239.19.254246.239.19.255254
21246.239.20.0/24246.239.20.1 to 246.239.20.254246.239.20.255254
22246.239.21.0/24246.239.21.1 to 246.239.21.254246.239.21.255254
23246.239.22.0/24246.239.22.1 to 246.239.22.254246.239.22.255254
24246.239.23.0/24246.239.23.1 to 246.239.23.254246.239.23.255254
25246.239.24.0/24246.239.24.1 to 246.239.24.254246.239.24.255254
26246.239.25.0/24246.239.25.1 to 246.239.25.254246.239.25.255254
27246.239.26.0/24246.239.26.1 to 246.239.26.254246.239.26.255254
28246.239.27.0/24246.239.27.1 to 246.239.27.254246.239.27.255254
29246.239.28.0/24246.239.28.1 to 246.239.28.254246.239.28.255254
30246.239.29.0/24246.239.29.1 to 246.239.29.254246.239.29.255254
31246.239.30.0/24246.239.30.1 to 246.239.30.254246.239.30.255254
32246.239.31.0/24246.239.31.1 to 246.239.31.254246.239.31.255254
33246.239.32.0/24246.239.32.1 to 246.239.32.254246.239.32.255254
34246.239.33.0/24246.239.33.1 to 246.239.33.254246.239.33.255254
35246.239.34.0/24246.239.34.1 to 246.239.34.254246.239.34.255254
36246.239.35.0/24246.239.35.1 to 246.239.35.254246.239.35.255254
37246.239.36.0/24246.239.36.1 to 246.239.36.254246.239.36.255254
38246.239.37.0/24246.239.37.1 to 246.239.37.254246.239.37.255254
39246.239.38.0/24246.239.38.1 to 246.239.38.254246.239.38.255254
40246.239.39.0/24246.239.39.1 to 246.239.39.254246.239.39.255254
41246.239.40.0/24246.239.40.1 to 246.239.40.254246.239.40.255254
42246.239.41.0/24246.239.41.1 to 246.239.41.254246.239.41.255254
43246.239.42.0/24246.239.42.1 to 246.239.42.254246.239.42.255254
44246.239.43.0/24246.239.43.1 to 246.239.43.254246.239.43.255254
45246.239.44.0/24246.239.44.1 to 246.239.44.254246.239.44.255254
46246.239.45.0/24246.239.45.1 to 246.239.45.254246.239.45.255254
47246.239.46.0/24246.239.46.1 to 246.239.46.254246.239.46.255254
48246.239.47.0/24246.239.47.1 to 246.239.47.254246.239.47.255254
49246.239.48.0/24246.239.48.1 to 246.239.48.254246.239.48.255254
50246.239.49.0/24246.239.49.1 to 246.239.49.254246.239.49.255254
51246.239.50.0/24246.239.50.1 to 246.239.50.254246.239.50.255254
52246.239.51.0/24246.239.51.1 to 246.239.51.254246.239.51.255254
53246.239.52.0/24246.239.52.1 to 246.239.52.254246.239.52.255254
54246.239.53.0/24246.239.53.1 to 246.239.53.254246.239.53.255254
55246.239.54.0/24246.239.54.1 to 246.239.54.254246.239.54.255254
56246.239.55.0/24246.239.55.1 to 246.239.55.254246.239.55.255254
57246.239.56.0/24246.239.56.1 to 246.239.56.254246.239.56.255254
58246.239.57.0/24246.239.57.1 to 246.239.57.254246.239.57.255254
59246.239.58.0/24246.239.58.1 to 246.239.58.254246.239.58.255254
60246.239.59.0/24246.239.59.1 to 246.239.59.254246.239.59.255254
61246.239.60.0/24246.239.60.1 to 246.239.60.254246.239.60.255254
62246.239.61.0/24246.239.61.1 to 246.239.61.254246.239.61.255254
63246.239.62.0/24246.239.62.1 to 246.239.62.254246.239.62.255254
64246.239.63.0/24246.239.63.1 to 246.239.63.254246.239.63.255254
65246.239.64.0/24246.239.64.1 to 246.239.64.254246.239.64.255254
66246.239.65.0/24246.239.65.1 to 246.239.65.254246.239.65.255254
67246.239.66.0/24246.239.66.1 to 246.239.66.254246.239.66.255254
68246.239.67.0/24246.239.67.1 to 246.239.67.254246.239.67.255254
69246.239.68.0/24246.239.68.1 to 246.239.68.254246.239.68.255254
70246.239.69.0/24246.239.69.1 to 246.239.69.254246.239.69.255254
71246.239.70.0/24246.239.70.1 to 246.239.70.254246.239.70.255254
72246.239.71.0/24246.239.71.1 to 246.239.71.254246.239.71.255254
73246.239.72.0/24246.239.72.1 to 246.239.72.254246.239.72.255254
74246.239.73.0/24246.239.73.1 to 246.239.73.254246.239.73.255254
75246.239.74.0/24246.239.74.1 to 246.239.74.254246.239.74.255254
76246.239.75.0/24246.239.75.1 to 246.239.75.254246.239.75.255254
77246.239.76.0/24246.239.76.1 to 246.239.76.254246.239.76.255254
78246.239.77.0/24246.239.77.1 to 246.239.77.254246.239.77.255254
79246.239.78.0/24246.239.78.1 to 246.239.78.254246.239.78.255254
80246.239.79.0/24246.239.79.1 to 246.239.79.254246.239.79.255254
81246.239.80.0/24246.239.80.1 to 246.239.80.254246.239.80.255254
82246.239.81.0/24246.239.81.1 to 246.239.81.254246.239.81.255254
83246.239.82.0/24246.239.82.1 to 246.239.82.254246.239.82.255254
84246.239.83.0/24246.239.83.1 to 246.239.83.254246.239.83.255254
85246.239.84.0/24246.239.84.1 to 246.239.84.254246.239.84.255254
86246.239.85.0/24246.239.85.1 to 246.239.85.254246.239.85.255254
87246.239.86.0/24246.239.86.1 to 246.239.86.254246.239.86.255254
88246.239.87.0/24246.239.87.1 to 246.239.87.254246.239.87.255254
89246.239.88.0/24246.239.88.1 to 246.239.88.254246.239.88.255254
90246.239.89.0/24246.239.89.1 to 246.239.89.254246.239.89.255254
91246.239.90.0/24246.239.90.1 to 246.239.90.254246.239.90.255254
92246.239.91.0/24246.239.91.1 to 246.239.91.254246.239.91.255254
93246.239.92.0/24246.239.92.1 to 246.239.92.254246.239.92.255254
94246.239.93.0/24246.239.93.1 to 246.239.93.254246.239.93.255254
95246.239.94.0/24246.239.94.1 to 246.239.94.254246.239.94.255254
96246.239.95.0/24246.239.95.1 to 246.239.95.254246.239.95.255254
97246.239.96.0/24246.239.96.1 to 246.239.96.254246.239.96.255254
98246.239.97.0/24246.239.97.1 to 246.239.97.254246.239.97.255254
99246.239.98.0/24246.239.98.1 to 246.239.98.254246.239.98.255254
100246.239.99.0/24246.239.99.1 to 246.239.99.254246.239.99.255254
101246.239.100.0/24246.239.100.1 to 246.239.100.254246.239.100.255254
102246.239.101.0/24246.239.101.1 to 246.239.101.254246.239.101.255254
103246.239.102.0/24246.239.102.1 to 246.239.102.254246.239.102.255254
104246.239.103.0/24246.239.103.1 to 246.239.103.254246.239.103.255254
105246.239.104.0/24246.239.104.1 to 246.239.104.254246.239.104.255254
106246.239.105.0/24246.239.105.1 to 246.239.105.254246.239.105.255254
107246.239.106.0/24246.239.106.1 to 246.239.106.254246.239.106.255254
108246.239.107.0/24246.239.107.1 to 246.239.107.254246.239.107.255254
109246.239.108.0/24246.239.108.1 to 246.239.108.254246.239.108.255254
110246.239.109.0/24246.239.109.1 to 246.239.109.254246.239.109.255254
111246.239.110.0/24246.239.110.1 to 246.239.110.254246.239.110.255254
112246.239.111.0/24246.239.111.1 to 246.239.111.254246.239.111.255254
113246.239.112.0/24246.239.112.1 to 246.239.112.254246.239.112.255254
114246.239.113.0/24246.239.113.1 to 246.239.113.254246.239.113.255254
115246.239.114.0/24246.239.114.1 to 246.239.114.254246.239.114.255254
116246.239.115.0/24246.239.115.1 to 246.239.115.254246.239.115.255254
117246.239.116.0/24246.239.116.1 to 246.239.116.254246.239.116.255254
118246.239.117.0/24246.239.117.1 to 246.239.117.254246.239.117.255254
119246.239.118.0/24246.239.118.1 to 246.239.118.254246.239.118.255254
120246.239.119.0/24246.239.119.1 to 246.239.119.254246.239.119.255254
121246.239.120.0/24246.239.120.1 to 246.239.120.254246.239.120.255254
122246.239.121.0/24246.239.121.1 to 246.239.121.254246.239.121.255254
123246.239.122.0/24246.239.122.1 to 246.239.122.254246.239.122.255254
124246.239.123.0/24246.239.123.1 to 246.239.123.254246.239.123.255254
125246.239.124.0/24246.239.124.1 to 246.239.124.254246.239.124.255254
126246.239.125.0/24246.239.125.1 to 246.239.125.254246.239.125.255254
127246.239.126.0/24246.239.126.1 to 246.239.126.254246.239.126.255254
128246.239.127.0/24246.239.127.1 to 246.239.127.254246.239.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses